#
# spec file for package splat 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           splat
Version:        1.4.2
Release:        lp155.1.1
License:        GPL-2.0
Summary:        Analyze point-to-point terrestrial RF communication links
Url:            http://www.qsl.net/kd2bd/splat.html
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.bz2
Source2:        fontdata.h
Source3:        hd-parms.h
Source4:        splat.h
Source5:        std-parms.h
Patch1:         %{name}-1.4.0_configure_noninteractive.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       bzip2
Requires:       glibc
Requires:       gnuplot
Requires:       zlib

BuildRequires:  gcc-c++
BuildRequires:  libbz2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel

%description
SPLAT! is a Surface Path Length And Terrain analysis application written 
for Linux and Unix workstations. SPLAT! analyzes point-to-point 
terrestrial RF communication links, and provides information useful 
to communication system designers and site engineers.

%prep
%setup -q
%patch1 -p1

%build
#%configure
#make
cp %{S:2} %{S:3} %{S:4} %{S:5} .
sed -i -e "s/ans=\"\"/ans=\"5\"/" configure
./build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin || true
cp splat $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 || true
cp docs/english/man/splat.1 $RPM_BUILD_ROOT/usr/share/man/man1/

find -type f

cd utils
cp citydecoder $RPM_BUILD_ROOT/usr/bin
cp usgs2sdf $RPM_BUILD_ROOT/usr/bin
cp srtm2sdf $RPM_BUILD_ROOT/usr/bin
cp srtm2sdf-hd $RPM_BUILD_ROOT/usr/bin

ls -alhR $RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root,0755)
%{_bindir}/*
%{_mandir}/man1/*
%doc README docs/english/pdf/splat.pdf docs/english/text/splat.txt docs/english/postscript/splat.ps CHANGES COPYING %{name}-%{version}.lsm

%changelog
* Sun Feb 16 2014 wk@ire.pw.edu.pl
- update to version 1.4.1
* Thu Feb 28 2013 dl8fcl@darc.de
- update to version 1.4.0
  fix for 12.3
* Mon Mar  7 2011 dl8fcl@darc.de
- fix for 11.4
* Mon Nov  2 2009 dl9pf@gmx.de
- version bump
* Fri Apr 17 2009 dl9pf@gmx.de
- version bump
* Sat Oct  4 2008 dl9pf@gmx.de
- fix build for factory
